POST/shops

Create Shop

Create a new shop

Implementation Notes

This endpoint is used to create a shop with pickup/drop details.

Mandatory Fields:

  • shopName
  • markets
  • websiteCode
  • cob
  • lor
  • currency
  • horizon
  • pickupTime
  • dropTime
POST/shops

Parameter Details

NameInTypeRequiredDescription
bodybodyobjectRequirednone
» shopNamebodystringRequiredCustom name for the shop.
» marketsbodyOptionalnone
»» pickupLocationbodystringOptionalPickup location.
»» dropLocationbodystringOptionalDrop location
» websiteCodebody[integer]Requirednone
» cobbodystringRequiredCountry of booking details.
» lorbodyintegerRequiredLength of rent details.
» currencybodystringRequiredCurrency code (e.g., USD, EUR).
» horizonbodystringRequiredNumber of days (if not using start and end dates).
» horizonDowbody[integer]Optionalnone
» pickupTimebodyRequiredPickup time of the trip.
» dropTimebodyRequiredDrop time of the trip.

Responses

StatusMeaningDescriptionSchema
201CreatedCreated
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
403ForbiddenForbidden - Access deniedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /shops \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopName": "My Shop",
  "markets": [
    {
      "pickupLocation": "AXD",
      "dropLocation": "AYT"
    }
  ],
  "websiteCode": [
    1
  ],
  "cob": "US",
  "lor": 1,
  "currency": "USD",
  "horizon": "1-60",
  "horizonDow": [],
  "pickupTime": "10:30",
  "dropTime": "10:30"
}

Example responses

201 Response
{
  "message": "Shop created successfully",
  "shopId": 1
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.